Bug 239310 - SDL-devel misses libGLU-devel dependency
SDL-devel misses libGLU-devel dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 10:43 EDT by Jindrich Novy
Modified: 2013-07-02 19:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 04:34:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2007-05-07 10:43:01 EDT
Description of problem:
Internal SDL headers are trying to include GL/glu.h, which is missing when a it
doesn't require libGLU-devel.

Version-Release number of selected component (if applicable):
SDL-devel-1.2.9-5.2.1

How reproducible:
1. mock build schismtracker

Steps to Reproduce:
1.
2.
3.
  
Actual results:
In file included from ./include/sdlmain.h:46,
                 from ./include/it.h:26,
                 from schism/page_blank.c:25:
/usr/include/SDL/SDL_opengl.h:45:58: error: GL/glu.h: No such file or directory

Expected results:
build passes

Additional info:
http://buildsys.fedoraproject.org/logs/fedora-5-extras/33096-schismtracker-0.5-0.3.rc1.fc5/x86_64/build.log
Comment 1 Fedora Update System 2007-05-14 13:05:41 EDT
SDL-1.2.9-6 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.